cancel
Showing results for 
Search instead for 
Did you mean: 

Get Spline from NXOpen::Features::IntersectionCurve

Creator
Creator

Dear all,

 

I have created Intersection curves of a datum plane and 2 faces. Now I want to get information of the curves (eg. Control points, knots). But it seems that those Intersection Curves are feature instead of curves. How can dynamics cast IntersectionCurve into curve so that I can get geometric information of the curves?

   

 

 

    NXOpen::NXObject *nXObject1;
    NXOpen::Features::IntersectionCurve *intersectionCurve1(dynamic_cast<NXOpen::Features::IntersectionCurve *>(nXObject1)));


NXOpen::Spline *spline1  ===???? NXOpen::Features::IntersectionCurve->???

 

 

 

 

捕获.PNG

1 REPLY

Re: Get Spline from NXOpen::Features::IntersectionCurve

Phenom
Phenom

You cannot cast a feature object to a curve object; but an intersection curve feature will have a .GetEntities method that should return the curve(s) created by the feature.